#!/bin/sh
#
-# kinect_fetch_fw - Fetch and install the Microsoft Kinect UAC firmware
+# kinect_fetch_fw - Fetch and install the Microsoft Kinect UAC firmware
#
-# Copyright (C) 2011 Antonio Ospite <ospite@studenti.unina.it>
+# Copyright (C) 2011-2016 Antonio Ospite <ao2@ao2.it>
#
# This program is free software. It comes without any warranty, to
# the extent permitted by applicable law. You can redistribute it
SDK_URL=${SDK_URL:-"http://download.microsoft.com/download/F/9/9/F99791F2-D5BE-478A-B77A-830AD14950C3/KinectSDK-v1.0-beta2-x86.msi"}
SDK_MD5="40764fe9e00911bda5095e5be777e311"
-[ $# -lt 1 ] && { echo "usage: $(basename "$0") <firmware destdir> [<path of kinect_upload_fw binary>]" 1>&2; exit 1; }
+[ $# -lt 1 ] && { echo "usage: $(basename "$0") <firmware destdir>" 1>&2; exit 1; }
FW_DESTDIR=$(readlink -m $1)
-LOADER_PATH=${2:-"/usr/local/sbin/kinect_upload_fw"}
command -v wget >/dev/null 2>&1 || { echo "$(basename "$0"): command 'wget' is needed." 1>&2 ; exit 1; }
command -v 7z >/dev/null 2>&1 || { echo "$(basename "$0"): command '7z' is needed." 1>&2; exit 1; }
cat << EOM
-This script is going to download the UAC Firmware for the Microsoft
+This script is going to download the UAC Firmware for the Microsoft
Kinect Sensor device from the Microsoft Kinect for Windows SDK:
http://kinectforwindows.org/
echo " done."
FW_FILE=$(ls UACFirmware.* | cut -d ' ' -f 1)
+FIRMWARE_PATH="${FW_DESTDIR}/UACFirmware"
-install -d "${DESTDIR}${FW_DESTDIR}"
-install -m 644 "$FW_FILE" "${DESTDIR}${FW_DESTDIR}"
-
-FIRMWARE_PATH=$FW_DESTDIR/$(basename "$FW_FILE")
-
-if [ -f "${DESTDIR}/lib/udev/rules.d/55-kinect_audio.rules" ];
-then
- sed -e "s|@LOADER_PATH@|$LOADER_PATH|g" \
- -e "s|@FIRMWARE_PATH@|$FIRMWARE_PATH|g" \
- -i "${DESTDIR}/lib/udev/rules.d/55-kinect_audio.rules"
-fi
+install -d "$FW_DESTDIR"
+install -m 644 "$FW_FILE" "$FIRMWARE_PATH"